Subject: Is there a way to increase SOMAXCONN ?
From: Rani Pinchuk <[email-masked]>
To: [email-masked]
Date: 08 Mar 2003 20:35:34 +0100

Hi all,

Hopefully someone here can give me a pointer/explanation of how to
increase SOMAXCONN.

In the last Cygwin I setup, it is defined as 5:

In /usr/include/cygwin/socket.h:
...
/* Maximum queue length specificable by listen.  */
#define SOMAXCONN       5
...

I need it to be higher (a daemon I wrote refuse every now and then
connections, and I found out it is because of that "5").

I wonder why it is only 5 (on Linux, for example it is defined as 128),
and if there is a way to increase it. 

Thanks in advance,

Rani

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/